Drupal Hostmaster模块跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1172483 漏洞类型 跨站脚本
发布时间 2012-06-27 更新时间 2012-06-27
CVE编号 CVE-2012-2708 CNNVD-ID CNNVD-201206-460
漏洞平台 N/A CVSS评分 2.1
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201206-460
|漏洞详情
Drupal中的Hostmaster(Aegir)模块6.x-1.9之前的6.x-1.x版本中的modules/hosting/task/hosting_task.module中的_hosting_task_log_table函数中存在跨站脚本(XSS)漏洞。远程认证用户可利用该漏洞通过在规定的任务日志中的Drush日志消息以某些权限注入任意web脚本和HTML。
|参考资料

来源:XF
名称:hostmaster-logmessages-xss(75714)
链接:http://xforce.iss.net/xforce/xfdb/75714
来源:BID
名称:53588
链接:http://www.securityfocus.com/bid/53588
来源:MLIST
名称:[oss-security]20120613Re:CVERequestforDrupalcontributedmodules
链接:http://www.openwall.com/lists/oss-security/2012/06/14/3
来源:drupalcode.org
链接:http://drupalcode.org/project/hostmaster.git/commitdiff/9476561
来源:drupal.org
链接:http://drupal.org/node/1585678
来源:drupal.org
链接:http://drupal.org/node/1585658
来源:community.aegirproject.org
链接:http://community.aegirproject.org/1.9